> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/zhong-zhu.md).

# 重铸

在开始之前，我们有必要讲解一下什么是重铸？重铸是给物品加上某个词条，加上词条后的物品有对应的效果，例如攻击伤害 +20%，或者移动速度 -10%，玩家每次重铸都需要消耗一定数量的金币，不同次数金币还会不同。

玩家可以通过重铸菜单进行重铸，设置重铸石的重铸词条需要对应重铸石才会附上对应词条，不放置重铸石将会在没有设置重铸石的重铸词条中随机选择。

自定义重铸词条配置可以在 `plugins/Reforges/reforges` 文件夹中找到，它的文件名称即为 **重铸id**，其它的一般示例如下：

```
name: "<gradient:#4776E6>Acute</gradient:#8E54E9>"
description:
  - "&a+2% &fTriple Damage Chance"
targets:
  - axe
stone:
  enabled: false
  name: ''
  lore: []
  item: ''
  craftable: false
  recipe: []
effects:
  - id: damage_multiplier
    args:
      multiplier: 3
      chance: 2
    triggers:
      - melee_attack
conditions: []
```

我们可以看出它由以下部分组成：

* **name：**&#x91CD;铸词条显示给玩家的名称，将会显示在物品名称的前面。
* **description：**&#x91CD;铸词条显示给玩家的描述，将会显示在物品 Lore。
* **targets：**&#x53EF;以附上该重铸词条的物品。详见 **targets.yml**，在 **EcoX 物品语法学习** 一节有详细介绍，不再赘述。
* **stone：**&#x91CD;铸石。重铸石下的各个子选项和 **护身符和盔甲** 对应选项近乎一样，不再赘述。
* **effects/conditions：**&#x54;he Effect System（自定义技能系统）的内容，将在后文介绍。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/zhong-zhu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
